Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

List of all members
eZ\Publish\API\Repository\Values\ContentType\ContentTypeDraft Class Reference

This class represents a draft of a content type. More...

Inheritance diagram for eZ\Publish\API\Repository\Values\ContentType\ContentTypeDraft:

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ContentType\ContentType
| getContentTypeGroups ()
| This method returns the content type groups this content type is assigned to. More...
| getFieldDefinitions ()
| This method returns the content type field definitions from this type. More...
| getFieldDefinition ($fieldDefinitionIdentifier)
| This method returns the field definition for the given identifier. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Public Member Functions inherited from eZ\Publish\SPI\Repository\Values\MultiLanguageName
| getNames ()
| Return the human readable name in all provided languages. More...
| getName ($languageCode=null)
| Return the name of the domain object in a given language. More...
Public Member Functions inherited from eZ\Publish\SPI\Repository\Values\MultiLanguageDescription
| getDescriptions ()
| Return the human readable description in all provided languages. More...
| getDescription ($languageCode=null)
| Return the human readable description of the domain object in a given language. More...
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Public Attributes inherited from eZ\Publish\API\Repository\Values\ContentType\ContentType
const | STATUS_DEFINED = 0
const | STATUS_DRAFT = 1
const | STATUS_MODIFIED = 2
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...
Protected Attributes inherited from eZ\Publish\API\Repository\Values\ContentType\ContentType
| $id
| $status
| $identifier
| $creationDate
| $modificationDate
| $creatorId
| $modifierId
| $remoteId
| $urlAliasSchema
| $nameSchema
| $isContainer
| $defaultAlwaysAvailable = true
| $defaultSortField
| $defaultSortOrder
| $languageCodes

## Detailed Description

This class represents a draft of a content type.

Definition at line 12 of file API/Repository/Values/ContentType/ContentTypeDraft.php.

The documentation for this class was generated from the following file:

- API/Repository/Values/ContentType/ContentTypeDraft.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.